@font-face {
    font-family: 'Roboto';
    src: url('./fonts/RobotoRegular.woff2') format('woff2'), url('./fonts/RobotoRegular.woff') format('woff');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto';
    src: url('./fonts/RobotoBold.woff2') format('woff2'), url('./fonts/RobotoBold.woff') format('woff');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

html {
    box-sizing: border-box;
}

*,
*::before,
*::after {
    box-sizing: inherit;
}

a {
    text-decoration: none;
    color: inherit;
}

img {
    max-width: 100%;
}

:root {
    --main-color: #ffffff;
    --dark-gray: #666666;
    --light-gray: #85859B;
    --btn-color: #3F2AFF;
    --dark-title: #2E2B44;
    --dark-blue: #212133;
}

body {
    min-width: 320px;
    font-family: 'Roboto', sans-serif;
}

.list-reset {
    padding: 0;
    margin-top: 0;
    margin-bottom: 0;
    list-style: none;
    row-gap: 30px;
}

.btn-reset {
    border: none;
    padding: 0;
    background-color: transparent;
    cursor: pointer;
}

.visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    padding: 0;
    overflow: hidden;
    border: 0;
    clip: rect(0 0 0 0)
}

.title {
    margin: 0;
    margin-bottom: 30px;
    font-size: 40px;
    font-weight: 700;
    line-height: 100%;
    color: var(--main-color);
}

.descr {
    margin: 0;
    font-size: 16px;
    font-weight: 400;
    line-height: 150%;
    color: var(--dark-gray);
}

.btn {
    border-radius: 20px;
    font-weight: 700;
    color: var(--main-color);
    background-color: var(--btn-color);
}

.flex {
    display: flex;
    flex-wrap: wrap;
}


/* header */

.header {
    padding: 30px;
    background-color: var(--btn-color);
}

.header__content {
    align-items: center;
    justify-content: space-between;
}

.header__logo {
    display: flex;
    align-items: center;
    margin-right: auto;
}

.nav__list {
    align-items: center;
}

.nav__item:not(:last-child) {
    margin-right: 56px;
}

.nav__link {
    font-size: 18px;
    font-weight: 400;
    color: var(--main-color);
}


/* hero */

.hero {
    padding: 15px 0 15px 0;
    margin-bottom: 80px;
    background: url("../img/rastr/hero-background.jpg") no-repeat center;
    background-size: cover;
}

.row--hero {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.hero__content {
    max-width: 460px;
}

.hero__title {
    font-size: 60px;
}

.hero__descr {
    margin-bottom: 70px;
    font-size: 18px;
    color: var(--main-color);
}

.hero__btn {
    padding: 24px 75px;
    text-align: center;
    font-size: 18px;
    color: var(--main-color);
}


/* advantages */

.advantages {
    margin-bottom: 80px;
}

.advantages__top {
    margin-bottom: 30px;
    display: flex;
    align-items: center;
    gap: 30px;
}

.advantages__title {
    color: var(--dark-title);
}

.advantages__descr {
    color: var(--dark-gray);
}

.advantages__item {
    padding-left: 94px;
    min-height: 80px;
    display: flex;
    align-items: center;
    background-repeat: no-repeat;
    background-position: center;
}

.advantages__item-pic1 {
    background: url("../img/svg/eye-circle.svg") no-repeat;
}

.advantages__item-pic2 {
    background: url("../img/svg/fingers.svg") no-repeat;
}

.advantages__item-pic3 {
    background: url("../img/svg/sound.svg") no-repeat;
}

.advantages__subdescr {
    margin: 0;
    font-size: 16px;
    font-weight: 700;
    line-height: 120%;
    color: var(--dark-gray);
}


/* teachers */

.teachers {
    padding: 80px 0 80px 0;
    margin-bottom: 80px;
    background-color: var(--dark-blue);
}

.teacher-item-image {
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    margin-bottom: 30px;
    width: 100%;
    max-height: 180px;
    object-fit: cover;
}

.teachers__name {
    margin: 0;
    margin-bottom: 15px;
    font-size: 18px;
    font-weight: 700;
    line-height: 150%;
    color: var(--main-color);
}

.teachers__descr {
    margin: 0;
    font-size: 16px;
    font-weight: 400;
    line-height: 150%;
    color: var(--light-gray);
}


/* courses */

.courses {
    margin-bottom: 80px;
}

.courses__list {
    display: flex;
    flex-wrap: wrap;
}

.courses__item {
    display: flex;
}

.card {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 100%;
    background-color: #EDF0F9;
    border-radius: 20px;
}

.card__image {
    border-radius: 20px 20px 0 0;
    width: 100%;
    max-height: 180px;
    object-fit: cover;
}

.card__content {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.courses__descr {
    margin-bottom: 50px;
    flex-grow: 1;
}

.courses__btn {
    align-self: flex-start;
    margin-top: auto;
    padding: 20px 59px;
    font-size: 16px;
    text-align: center;
}

.card__content {
    padding: 30px;
}

.courses__title {
    color: var(--dark-blue);
}

.courses__subtitle {
    margin: 0;
    margin-bottom: 15px;
    font-size: 18px;
    font-weight: 700;
    line-height: 150%;
    color: var(--dark-blue);
}


/* footer */

.footer__top {
    background-color: var(--dark-title);
}

.social {
    padding: 28px 0 28px 0;
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
}

.social__item {
    width: 24px;
    height: 24px;
}

.footer__bottom {
    padding-top: 3px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer__copy {
    font-size: 13px;
    font-weight: 400;
}

.footer__copy span {
    color: var(--btn-color);
}
